<div class="status-list" xmlns="http://www.w3.org/1999/html">
  <div class="px-3 pb-4 pt-3 bg-header header-custom border-header"
       [ngClass]="{'red-header': lane.isColumnTable !== 'N' && lane.totalOfColumn !== null && (lane.check || (lane.isLock && lane.isRed))}">
    <span>{{ lane.isColumnTable !== 'N' ? ('Xếp loại ' + lane.columnName) : lane.columnName }}</span>
    <div *ngIf="lane.isColumnTable !== 'N'">
      <span *ngIf="lane.totalOfColumn !== null">({{ lane.laneLength + '/' + lane.totalOfColumn }})</span>
      <span *ngIf="lane.totalOfColumn === null">( {{ lane.laneLength }} )</span>
    </div>
  </div>
  <mb-input-text mbInputType='text' [mbShowFlexEnd]='false'
                 *ngIf="lane.isColumnTable === isColumnTableStatus"
                 mbPlaceholderText="{{'common.button.search' | translate}}"
                 (mbChange)="searchItemInBlockInitialColumn($event, lanes)"
                 [ngModel]='inputKeyPressSearch'></mb-input-text>
  <div class="issue-card-container pl-2" cdkDropList [cdkDropListData]="lane.empOfAllocations"
       (cdkDropListDropped)="dropEvent($event)"  [id]="lane.columnCode">
    <ng-container>
      <hcm-mfe-hcm-mfe-board-personnel-card *ngFor="let issue of lane.empOfAllocations" [issue]="issue"
                                            [cdkDragData]="issue" [cdkDragDisabled]="issue.isException === 'Y' || !!lane.isLock"
                                            cdkDrag>
      </hcm-mfe-hcm-mfe-board-personnel-card>
    </ng-container>
  </div>
</div>

